Pay-in Details
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "728c95d3-8b1e-4497-b3da-f36bcc066d7d",
"customer_id": "34c62166-3e7a-436b-a2e3-338c4148a859",
"status": "PENDING",
"transaction_id": null,
"created_at": "2026-06-09T18:27:35.468309Z",
"expire_at": "2026-06-10T18:27:35.437874Z",
"source_amount": 100101,
"source_amount_in_major": 1001.01,
"currency": "MXN",
"destination": {
"address": "0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E",
"rail": "POLYGON",
"currency": "USDC"
},
"fees": {
"developer_fee": {
"fixed": 0,
"percentage": 0
},
"total_developer_fee": 0,
"network_fee": 0,
"conversion_fee": 0,
"total_fee": 0
},
"destination_amount_in_major": 57.324182,
"exchange_rate": 17.462264,
"deposit_instruction": {
"type": "BANK_DEPOSIT",
"bank_details": {
"bank_name": "FINCO PAY",
"bank_address": null,
"bank_address_details": null,
"bank_routing_number": null,
"bank_account_number": "734180000129991804",
"payment_rails": [
"SPEI"
],
"bank_country": "MEX",
"account_type": "centralizing",
"bank_code": {
"code": "734180000129991804",
"type": "CLABE"
},
"reference": "88ff4abb99e39499db661e1c97f0770fb1fb05c3",
"account_holder_name": "FIN BU1"
},
"checkout_details": null
}
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}Payment Instructions
Pay-in Details
Returns full details for a pay-in by ID, including status, amounts, fees, and deposit instructions.
GET
/
v2
/
transactions
/
pay-ins
/
{payin_id}
Pay-in Details
curl --request GET \
--url https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id} \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v2/transactions/pay-ins/{payin_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"id": "728c95d3-8b1e-4497-b3da-f36bcc066d7d",
"customer_id": "34c62166-3e7a-436b-a2e3-338c4148a859",
"status": "PENDING",
"transaction_id": null,
"created_at": "2026-06-09T18:27:35.468309Z",
"expire_at": "2026-06-10T18:27:35.437874Z",
"source_amount": 100101,
"source_amount_in_major": 1001.01,
"currency": "MXN",
"destination": {
"address": "0xD2Ba7d0DaBd36498df5906fC7B054Fa9EfA9843E",
"rail": "POLYGON",
"currency": "USDC"
},
"fees": {
"developer_fee": {
"fixed": 0,
"percentage": 0
},
"total_developer_fee": 0,
"network_fee": 0,
"conversion_fee": 0,
"total_fee": 0
},
"destination_amount_in_major": 57.324182,
"exchange_rate": 17.462264,
"deposit_instruction": {
"type": "BANK_DEPOSIT",
"bank_details": {
"bank_name": "FINCO PAY",
"bank_address": null,
"bank_address_details": null,
"bank_routing_number": null,
"bank_account_number": "734180000129991804",
"payment_rails": [
"SPEI"
],
"bank_country": "MEX",
"account_type": "centralizing",
"bank_code": {
"code": "734180000129991804",
"type": "CLABE"
},
"reference": "88ff4abb99e39499db661e1c97f0770fb1fb05c3",
"account_holder_name": "FIN BU1"
},
"checkout_details": null
}
}
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>",
"errors": [
{}
]
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
ID of the pay-in to fetch.
Response
Pay-in retrieved successfully
Show child attributes
Show child attributes
⌘I
